org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxPrepareResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.GridCacheIdMessage
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage
      - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxPrepareResponse
        - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxPrepareResponse

All Implemented Interfaces:
  Serializable, GridCacheDeployable, IgniteTxStateAware, GridCacheVersionable, Message

    public class GridDhtTxPrepareResponse
    extends GridDistributedTxPrepareResponse

DHT transaction prepare response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxPrepareResponse

`flags`

### Fields inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`ver`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheId`

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`addDepInfo, CACHE_MSG_INDEX_FIELD_NAME, forceAddDepInfo, MAX_CACHE_MSG_LOOKUP_INDEX`

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxPrepareResponse()` Empty constructor required by `Externalizable`.
`GridDhtTxPrepareResponse(int part, GridCacheVersion xid, IgniteUuid futId, int miniId, boolean addDepInfo)`
`GridDhtTxPrepareResponse(int part, GridCacheVersion xid, IgniteUuid futId, int miniId, Throwable err, boolean addDepInfo)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addPreloadEntry(GridCacheEntryInfo info)` Adds preload entry.
`short` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`void` `finishUnmarshal(GridCacheSharedContext ctx, ClassLoader ldr)` This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.
`IgniteUuid` `futureId()`
`void` `invalidPartitionsByCacheId(Map<Integer,Set<Integer>> invalidPartsByCacheId)`
`int` `miniId()`
`Collection<IgniteTxKey>` `nearEvicted()`
`void` `nearEvicted(Collection<IgniteTxKey> nearEvicted)`
`void` `prepareMarshal(GridCacheSharedContext ctx)` This method is called before the whole message is serialized and is responsible for pre-marshalling state.
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxPrepareResponse

`error, error, isFlag, isRollback, messageLogger, partition, setFlag, txState, txState`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedBaseMessage

`addDeploymentInfo, committedVersions, completedVersions, rolledbackVersions, version, version`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheIdMessage

`cacheGroupMessage, cacheId, cacheId, handlerId`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`appendFlag, classError, deployInfo, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lastAffinityChangedTopologyVersion, lastAffinityChangedTopologyVersion, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onAckReceived, onClassError, partitionExchangeMessage, prepare, prepareMarshalCacheObject, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheDeployable

`deployInfo, prepare`

### Constructor Detail

#### GridDhtTxPrepareResponse

    public GridDhtTxPrepareResponse()

Empty constructor required by `Externalizable`.

#### GridDhtTxPrepareResponse

    public GridDhtTxPrepareResponse(int part,
                                    GridCacheVersion xid,
                                    IgniteUuid futId,
                                    int miniId,
                                    boolean addDepInfo)

Parameters:
  `part` - Partition.
  `xid` - Xid version.
  `futId` - Future ID.
  `miniId` - Mini future ID.
  `addDepInfo` - Deployment info flag.

#### GridDhtTxPrepareResponse

    public GridDhtTxPrepareResponse(int part,
                                    GridCacheVersion xid,
                                    IgniteUuid futId,
                                    int miniId,
                                    Throwable err,
                                    boolean addDepInfo)

Parameters:
  `part` - Partition.
  `xid` - Xid version.
  `futId` - Future ID.
  `miniId` - Mini future ID.
  `err` - Error.
  `addDepInfo` - Deployment enabled.

### Method Detail

#### nearEvicted

    public Collection<IgniteTxKey> nearEvicted()

Returns:
  Evicted readers.

#### nearEvicted

    public void nearEvicted(Collection<IgniteTxKey> nearEvicted)

Parameters:
  `nearEvicted` - Evicted readers.

#### futureId

    public IgniteUuid futureId()

Returns:
  Future ID.

#### miniId

    public int miniId()

Returns:
  Mini future ID.

#### invalidPartitionsByCacheId

    public void invalidPartitionsByCacheId(Map<Integer,Set<Integer>> invalidPartsByCacheId)

Parameters:
  `invalidPartsByCacheId` - Map from cache ID to an array of invalid partitions.

#### addPreloadEntry

    public void addPreloadEntry(GridCacheEntryInfo info)

Adds preload entry.

Parameters:
  `info` - Info to add.

#### prepareMarshal

    public void prepareMarshal(GridCacheSharedContext ctx)
                        throws IgniteCheckedException

This method is called before the whole message is serialized and is responsible for pre-marshalling state.

Overrides:
  `prepareMarshal` in class `GridDistributedTxPrepareResponse`
Parameters:
  `ctx` - Cache context.
Throws:
  `IgniteCheckedException` - If failed.

#### finishUnmarshal

    public void finishUnmarshal(GridCacheSharedContext ctx,
                                ClassLoader ldr)
                         throws IgniteCheckedException

This method is called after the message is deserialized and is responsible for unmarshalling state marshalled in `GridCacheMessage.prepareMarshal(GridCacheSharedContext)` method.

Overrides:
  `finishUnmarshal` in class `GridDistributedTxPrepareResponse`
Parameters:
  `ctx` - Context.
  `ldr` - Class loader.
Throws:
  `IgniteCheckedException` - If failed.

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                           MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedTxPrepareResponse`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                            MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedTxPrepareResponse`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public short directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDistributedTxPrepareResponse`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDistributedTxPrepareResponse`
Returns:
  Fields count.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedTxPrepareResponse`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021